{
	"factoryId":  "jaas-realm",
	"objectId": "karaf",
	"properties": {
		"rank": 100,
		"modules": [
			{
				"factoryId": "properties-jaas-login-module",
				"scope": "private",
				"properties": {
					"__entaxyContainerId": "karaf",
					"classifier": "karaf-properties",
					"backendEnabled": true,
					"module_users": "./etc/users.properties",
					"encryption_enabled": false
				}
			},
			{
				"factoryId": "publickey-jaas-login-module",
				"scope": "private",
				"properties": {
					"__entaxyContainerId": "karaf",
					"classifier": "karaf-publickey",
					"backendEnabled": true,
					"module_users": "./etc/keys.properties"
				}
			},
			{
				"factoryId": "file-audit-jaas-login-module",
				"scope": "private",
				"properties": {
					"__entaxyContainerId": "karaf",
					"classifier": "karaf-file-audit",
					"module_enabled": true
				}
			},
			{
				"factoryId": "log-audit-jaas-login-module",
				"scope": "private",
				"properties": {
					"__entaxyContainerId": "karaf",
					"classifier": "karaf-log-audit"
				}
			},
			{
				"factoryId": "eventadmin-audit-jaas-login-module",
				"scope": "private",
				"properties": {
					"__entaxyContainerId": "karaf",
					"classifier": "karaf-eventadminaudit"
				}
			}
			
		]
	}
}